<?php
/**
 * Trait SanitizeTrait
 *
 * @package DhlPolska
 */

namespace DhlPolska;

/**
 * Helpers for Sanitize
 */
trait SanitizeTrait {
	/**
	 * @param int|string|bool $value .
	 *
	 * @return bool
	 */
	private function get_bool_value( $value ): bool {
		return wc_string_to_bool( $value );
	}

	/**
	 * @param string $cost .
	 *
	 * @return float
	 */
	private function get_float_value( string $cost ): float {
		return (float) wc_format_decimal( $cost );
	}
}
